Get profile image in size
GET
/user/{user_id}/profileimage/{size}
const url = 'https://api.colourbox.com/user/1/profileimage/example';const options = {method: 'GET', headers: {Authorization: 'CBX-SIMPLE-TOKEN Token=<token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.colourbox.com/user/1/profileimage/example \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'Get the location of the user’s profile image in a given size.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
integer
User ID
size
required
string
Requested image size
Size |
Description |
|---|---|
| small | 25x25 px cropped version |
| medium | 50x50 px cropped version |
| large | 100x100 px cropped version |
| original | The original unaltered profile image |
Responses
Section titled “Responses”Location of the profile image
Media typeapplication/json
object
user_id
The user ID, as given in the URL
string
method
string
url
URL the image can be fetched from
string
Example
{ "user_id": "17", "method": "GET"}Unknown size